import jaggl.OpenGL;

public class Class275_Sub4 extends Class275 implements Interface37 {

   static final int anInt8892 = 34069;


   public void method224(Class353 var1) {
      super.method224(var1);
   }

   public void method228() {
      super.method228();
   }

   public void method227() {
      super.method228();
   }

   public void method10() {
      super.method10();
   }

   public void method8() {
      super.method10();
   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }

   public void method226() {
      super.method228();
   }

   Class275_Sub4(Class545_Sub2_Sub2 var1, int var2, boolean var3, int[][] var4) {
      super(var1, '\u8513', Class98.aClass98_992, Class91.aClass91_897, var2 * var2 * 6, var3);
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      int var5;
      if(var3) {
         for(var5 = 0; var5 < 6; ++var5) {
            this.method4859('\u8515' + var5, var2, var2, var4[var5]);
         }
      } else {
         for(var5 = 0; var5 < 6; ++var5) {
            OpenGL.glTexImage2Di('\u8515' + var5, 0, Class545_Sub2_Sub2.method15914(this.aClass98_3195, this.aClass91_3196), var2, var2, 0, Class545_Sub2_Sub2.method15913(this.aClass98_3195), this.aClass545_Sub2_Sub2_3197.anInt10354, var4[var5], 0);
         }
      }

   }

   public void method9() {
      super.method10();
   }
}
